%define module	DateTime-TimeZone
%define name	perl-%{module}
%define modprefix DateTime

%define version	0.47
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	Time zone object base class and factory
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate) >= 0.72
BuildRequires:	perl(Class::Singleton) >= 1.03
BuildRequires:	perl(Pod::Man) >= 1.14
Provides:	perl(DateTime::TimeZoneCatalog)

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build
./Build test

%install
rm -rf %{buildroot}
chmod 644 Changes README
./Build install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Fri Aug 25 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-25 12:21:45 (58078)
- Version 0.47

* Fri Aug 25 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-25 12:14:05 (58072)
Import perl-DateTime-TimeZone

* Tue May 09 2006 Scott Karns <scottk@mandriva.org> 1:0.46-1mdk
- 0.46

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 1:0.45-2mdk
- Updated BuildRequires

* Tue May 02 2006 Scott Karns <scottk@mandriva.org> 1:0.45-1mdk
- 0.45

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-2mdk
- Use perl Policy

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-1mdk
- New release 0.44

* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.42-1mdk
- 0.42

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.41-1mdk
- 0.41

* Thu Dec 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.40-1mdk
- 0.40

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.39-1mdk
- 0.39. Need to increase epoch.

* Fri Nov 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.3801-1mdk
- 0.3801 (fixes generated deps)

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.38-1mdk
- 0.38

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.37-2mdk
- Fix BuildRequires
- Fix Source url
- %%mkrel

* Tue Aug 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.37-1mdk
- 0.37

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.36-1mdk
- 0.36

* Wed Mar 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.33-1mdk
- 0.33

* Tue Jan 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.32-1mdk
- 0.32

* Fri Dec 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.31-1mdk
- 0.31

* Thu Oct 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.30-1mdk
- 0.30 (new database of timezones)

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-2mdk
- Add manually needed provides.

* Thu Aug 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-1mdk
- Initial MDK release.

